<div>
  <h5 class="eui-u-f-l-bold">{{ 'app.features.asset.details.versionsTable.title' | translate }}</h5>
  <div class="eui-table__scrollable-wrapper">
    <table
      euiTable
      [euiTableResponsive]="true"
      [isHoverable]="true"
      [rows]="_versionData">
      <ng-template euiTemplate="header">
        <tr>
          <th sortable sortOn="version">{{ 'app.features.asset.details.versionsTable.columns.version' | translate }}
          </th>
          <th sortable
            sortOn="issuedDate">{{ 'app.features.asset.details.versionsTable.columns.issued' | translate }}
          </th>
          <th sortable
            sortOn="releaseNotes">{{ 'app.features.asset.details.versionsTable.columns.notes' | translate }}
          </th>
          <th></th>
        </tr>
      </ng-template>
      <ng-template let-row euiTemplate="body">
        @if (row?.version || row?.issuedDate || row?.releaseNotes || row?.downloadUrl) {
          <tr
            [ngClass]="{'sr-active-version-row':row?.version === activeVersion}">
            <td data-col-label="Version">
              @if (row.version) {
                <eui-chip class="sr-chip{{row?.isCurrentVersion ? '' : '-outline'}}-grey-90">
                  {{ row.version }}
                </eui-chip>
              }
            </td>
            <td data-col-label="Issued Date">
              {{ row?.issuedDate | date:'dd/MM/yyyy' }}
            </td>
            <!-- We use innerHTML as the string here uses a markup -->
            <td data-col-label="Release notes"><span class="sr-cursor-default" innerHTML="{{row?.releaseNotes}}"></span></td>
            <td>
              <div class="eui-u-text-right">
                @if (!(row?.version === activeVersion)) {
                  <button
                    class="eui-u-ml-s"
                    euiButton
                    [euiBranding]="true"
                    [euiOutline]="true"
                    (click)="onShowVersionButtonClicked(row)">
                    {{ 'app.features.asset.details.versionsTable.buttonLabel' | translate }}
                  </button>
                }
              </div>
            </td>
          </tr>
        }
      </ng-template>
      <ng-template euiTemplate="emptyMessage">
        <tr>
          <td class="eui-u-p-none" colspan="4">
            <span class="eui-u-flex eui-u-flex-column eui-u-p-m eui-u-bg-color-grey-5 eui-u-text-center eui-u-p-2xl">
              <eui-icon-svg icon="folder-open" size="l" set="outline" fillColor="grey-100"></eui-icon-svg>
              <span
              class="eui-u-pt-m">{{ 'app.features.asset.details.versionsTable.emptyState' | translate }}</span>
            </span>
          </td>
        </tr>
      </ng-template>
    </table>
  </div>
</div>

